package com.gct.tool.entity.excel;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.gct.tool.entity.aoid.AoidDailyYield;
import com.gct.tool.entity.aoid.AoidSinglegtYield;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @author xusirui 2022/9/28
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class LiqAnalyseData {

    @ExcelProperty("井号")
    public String wellId;

    @ExcelProperty("生产日期")
    public String prodDate;

    @ExcelProperty("日产液")
    public Double liqProd;

    @ExcelProperty("a2日产液")
    public Double liqProd2;

    @ExcelProperty("理论日产液")
    public Double theoryLiqProd;

    @ExcelProperty("误差率")
    public Double errorRate;

    @ExcelProperty("最大载荷")
    public Double maxLoadDiff;

    @ExcelProperty("最大理论载荷")
    public Double maxTheoryLoadDiff;

    @ExcelProperty("最小理论载荷")
    public Double minTheoryLoadDiff;

    @ExcelProperty("泵深")
    public Double pumpDepth;

    @ExcelProperty("沉没度")
    public Double submergenceDegree;

    @ExcelProperty("载荷方差(归一化10处理后计算)")
    public Double loadDifferenceVariance;

    @ExcelProperty("有效冲程方差(归一化10处理后计算)")
    public Double effectStrokeVariance;

    @ExcelProperty("分析结果")
    public String analyseResult;

    @ExcelIgnore
    AoidDailyYield aoidDailyYield;

    @ExcelIgnore
    List<AoidSinglegtYield> aoidSinglegtYieldList;
}
